Caches

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • flow

  • flow_count

  • flowExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • flow_id

  • for_flow

  • scope

  • name

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • caches.id

  • caches.scope

  • caches.ttl

  • caches.created_at

  • caches.updated_at

  • caches.name

  • caches.flow_id

  • caches.cache_template_id

Authorizations
Query parameters
filter[flow_id]stringOptional

Filter results by flow_id.

filter[for_flow]stringOptional

Filter results by for_flow.

filter[scope]stringOptional

Filter results by scope.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

filter[name]stringOptional

Filter results by name.

filter[LIKE]stringOptional

Filter results by LIKE.

filter[flow]stringOptional

Filter results by flow.

includestringOptional

Comma-separated list of relationships to include. Available: flow

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/caches

Get Metadata

get

Get Metadata for metadata.

Authorizations
Responses
chevron-right
200

Successful response

No content

get
/api/v1/caches/metadata

No content

Show

get

Get a single cache.

Authorizations
Path parameters
cachestringRequired

The cache identifier.

Query parameters
filter[flow_id]stringOptional

Filter results by flow_id.

filter[for_flow]stringOptional

Filter results by for_flow.

filter[scope]stringOptional

Filter results by scope.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

filter[name]stringOptional

Filter results by name.

filter[LIKE]stringOptional

Filter results by LIKE.

filter[flow]stringOptional

Filter results by flow.

includestringOptional

Comma-separated list of relationships to include. Available: flow

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/caches/{cache}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

ttl_unit

ttl_number

Authorizations
Path parameters
cachestringRequired

The cache identifier.

Body
ttl_unitstring · nullableOptional
ttl_numberstring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/caches/{cache}

Destroy

delete

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

cache_id

Authorizations
Path parameters
cachestringRequired

The cache identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/caches/{cache}

Get Content

get

Get Content for content.

Authorizations
Path parameters
cachestringRequired

The cache identifier.

keystringRequired

The key identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/caches/{cache}/content/{key}

No content

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

content

string

Authorizations
Path parameters
cachestringRequired

The cache identifier.

keystringRequired

The key identifier.

Body
contentstring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/caches/{cache}/content/{key}

Flush

post

Flush for flush.

Authorizations
Path parameters
cachestringRequired

The cache identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/caches/{cache}/flush
get

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

search

string

Authorizations
Path parameters
cachestringRequired

The cache identifier.

searchstringRequired

The search identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/caches/{cache}/search/{search}

Last updated

Was this helpful?